# Copyright (C) 2017  The Software Heritage developers
# See the AUTHORS file at the top-level directory of this distribution
# License: GNU General Public License version 3, or any later version
# See top-level LICENSE file for more information

"""swh URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/1.10/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  url(r'^$', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  url(r'^$', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.conf.urls import url, include
    2. Add a URL to urlpatterns:  url(r'^blog/', include('blog.urls'))
"""
from django.conf.urls import url
from django.contrib import admin
from rest_framework.urlpatterns import format_suffix_patterns

from .api.service_document import SWHServiceDocument
from .api.user import SWHUser
from .api.deposit import SWHDeposit

urlpatterns = [
    url(r'^admin', admin.site.urls),
    url(r'^1/clients[/]+$', SWHUser.as_view(),
        name='clients'),
    url(r'^1/clients/(?P<client_id>[0-9]+)', SWHUser.as_view(),
        name='client'),
    url(r'^1/servicedocument/', SWHServiceDocument.as_view(),
        name='servicedocument'),
    url(r'^1/(?P<client_name>[^/]+)$', SWHDeposit.as_view(),
        name='upload'),
]

urlpatterns = format_suffix_patterns(urlpatterns)
